Skip to content
VirtlixCP

Documentation / API

Switch Commands

List Switch Commands

GET /switch/{switch_id}/command

List of Network Switch Commands

Response 200: List of Network Switch Commands

Field Type Description
id integer VirtlixCP-specific unique identifier used for URLs, etc.
status string

Create Switch Command

POST /switch/{switch_id}/command

Add new Network Switch Command

Response 200: A Network Switch Command

Field Type Description
command string
errors string
id integer VirtlixCP-specific unique identifier used for URLs, etc.
output string
status string

Response 422: Unprocessable Entity

View Switch Command

GET /switch/{switch_id}/command/{command_id}

A Network Switch Command

Response 200: A Network Switch Command

Field Type Description
command string
errors string
id integer VirtlixCP-specific unique identifier used for URLs, etc.
output string
status string

Edit Switch Command

PATCH /switch/{switch_id}/command/{command_id}

Edit Network Switch Command

Request body

Field Type Required Description
command string
errors string
id integer VirtlixCP-specific unique identifier used for URLs, etc.
output string
status string

Response 200: A Network Switch Command

Field Type Description
command string
errors string
id integer VirtlixCP-specific unique identifier used for URLs, etc.
output string
status string

Request body

Field Type Required Description
command string
errors string
id integer VirtlixCP-specific unique identifier used for URLs, etc.
output string
status string

Response 422: Unprocessable Entity